org.apache.sling.commons.html

## Class Html

- java.lang.Object
- - org.apache.sling.commons.html.Html

    public class Html
    extends Object

Provides a Stream of HtmlElement tokens

### Method Summary

All Methods Static Methods Concrete Methods
`static Stream<HtmlElement>` `stream(InputStream is)`
`static Stream<HtmlElement>` `stream(InputStream is, String encoding)`
`static Stream<HtmlElement>` `stream(String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### stream

    public static Stream<HtmlElement> stream(String input)

#### stream

    public static Stream<HtmlElement> stream(InputStream is)

#### stream

    public static Stream<HtmlElement> stream(InputStream is,
                                             String encoding)